VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Static Public Attributes | List of all members
IUIDescription Class Referenceabstract

`#include <iuidescription.h>`

Inheritance diagram for IUIDescription:

## Public Member Functions
virtual | ~IUIDescription () noexcept=default
virtual CView * | createView (UTF8StringPtr name, IController *controller) const =0
virtual CBitmap * | getBitmap (UTF8StringPtr name) const =0
virtual CFontRef | getFont (UTF8StringPtr name) const =0
virtual bool | getColor (UTF8StringPtr name, CColor &color) const =0
virtual CGradient * | getGradient (UTF8StringPtr name) const =0
virtual int32_t | getTagForName (UTF8StringPtr name) const =0
virtual IControlListener * | getControlListener (UTF8StringPtr name) const =0
virtual IController * | getController () const =0
virtual UTF8StringPtr | lookupColorName (const CColor &color) const =0
virtual UTF8StringPtr | lookupFontName (const CFontRef font) const =0
virtual UTF8StringPtr | lookupBitmapName (const CBitmap *bitmap) const =0
virtual UTF8StringPtr | lookupGradientName (const CGradient *gradient) const =0
virtual UTF8StringPtr | lookupControlTagName (const int32_t tag) const =0
virtual bool | getVariable (UTF8StringPtr name, double &value) const =0
virtual bool | getVariable (UTF8StringPtr name, std::string &value) const =0
virtual void | collectTemplateViewNames (std::list< const std::string * > &names) const =0
virtual void | collectColorNames (std::list< const std::string * > &names) const =0
virtual void | collectFontNames (std::list< const std::string * > &names) const =0
virtual void | collectBitmapNames (std::list< const std::string * > &names) const =0
virtual void | collectGradientNames (std::list< const std::string * > &names) const =0
virtual void | collectControlTagNames (std::list< const std::string * > &names) const =0
virtual const IViewFactory * | getViewFactory () const =0

## Static Public Attributes
static IdStringPtr | kCustomViewName = "custom-view-name"

## Constructor & Destructor Documentation

## ◆ ~IUIDescription()

virtual ~IUIDescription | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ collectBitmapNames()

virtual void collectBitmapNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ collectColorNames()

virtual void collectColorNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ collectControlTagNames()

virtual void collectControlTagNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ collectFontNames()

virtual void collectFontNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ collectGradientNames()

virtual void collectGradientNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ collectTemplateViewNames()

virtual void collectTemplateViewNames | ( | std::list< const std::string * > & | names | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ createView()

virtual CView * createView | ( | UTF8StringPtr | name,
|  | IController * | controller
| ) |  | const
| pure virtual

Implemented in UIDescription.

## ◆ getBitmap()

virtual CBitmap * getBitmap | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ getColor()

virtual bool getColor | ( | UTF8StringPtr | name,
|  | CColor & | color
| ) |  | const
| pure virtual

Implemented in UIDescription.

## ◆ getController()

virtual IController * getController | ( |  | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ getControlListener()

virtual IControlListener * getControlListener | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ getFont()

virtual CFontRef getFont | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ getGradient()

virtual CGradient * getGradient | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ getTagForName()

virtual int32_t getTagForName | ( | UTF8StringPtr | name | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ getVariable() [1/2]

virtual bool getVariable | ( | UTF8StringPtr | name,
|  | double & | value
| ) |  | const
| pure virtual

Implemented in UIDescription.

## ◆ getVariable() [2/2]

virtual bool getVariable | ( | UTF8StringPtr | name,
|  | std::string & | value
| ) |  | const
| pure virtual

Implemented in UIDescription.

## ◆ getViewFactory()

virtual const IViewFactory * getViewFactory | ( |  | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ lookupBitmapName()

virtual UTF8StringPtr lookupBitmapName | ( | const CBitmap * | bitmap | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ lookupColorName()

virtual UTF8StringPtr lookupColorName | ( | const CColor & | color | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ lookupControlTagName()

virtual UTF8StringPtr lookupControlTagName | ( | const int32_t | tag | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ lookupFontName()

virtual UTF8StringPtr lookupFontName | ( | const CFontRef | font | ) | const
| pure virtual

Implemented in UIDescription.

## ◆ lookupGradientName()

virtual UTF8StringPtr lookupGradientName | ( | const CGradient * | gradient | ) | const
| pure virtual

Implemented in UIDescription.

## Member Data Documentation

## ◆ kCustomViewName

IdStringPtr kCustomViewName = "custom-view-name"
| static

The documentation for this class was generated from the following files:

- iuidescription.h
- uidescription.cpp